Выбирай : Покупай : Используй

Вход для партнеров

Вход для продавцов

0

В Intel Smart Sound обнаружены высокоопасные уязвимости

Корпорация Intel выпустила исправления для трех высокоопасных брешей в технологии Smart Sound. Производитель указывает на кумулятивно высокий риск использования этих уязвимостей и призывает пользователей обновить драйверы до актуальной версии.

Высокая степень опасности

Компании Intel в срочном порядке пришлось устранять три опасные бреши в безопасности процессоров. В отличие от Spectre и Meltdown, они не используют особенности реализации спекулятивного исполнения команд. Но несмотря на это, степень угрозы для каждой из них оценивается как высокая – в 7,5 баллов по шкале CVSS v3.0. Все три уязвимости связаны с технологией Intel Smart Sound, которая представляет собой встроенный аудиопроцессор DSP (цифровой сигнальный процессор) для обработки аудио, речи и голосового взаимодействия. Воспользовавшись этими уязвимостями, злоумышленники могут выполнить произвольный код на компьютерах с процессорами Intel Core и Atom.

Первая из уязвимостей (CVE-2018-3666) находится в драйвере Intel Smart Sound (до версии 9.21.00.3541). С ее помощью локальный атакующий может выполнить произвольный код с правами администратора путем переполнения невыгружаемого пула памяти (NonPaged pool overflow).

Вторая уязвимость (CVE-2018-3670) тоже относится к драйверу Intel Smart Sound, используемому в версиях, предшествующих 9.21.00.3541. С помощью этой уязвимости злоумышленник с локальным доступом может выполнить произвольный код с правами администратора посредством переполнения буфера.

Третья уязвимость (CVE-2018-3672) также была обнаружена в драйверах Intel Smart Sound версии до 9.21.00.3541. Согласно бюллетеню безопасности Intel, эта брешь в модуле драйвера может позволить локальному атакующему выполнить произвольный код с правами администратора через системные запросы.

Компании Intel в срочном порядке пришлось устранять опасные бреши в безопасности аудиопроцессоров

Технология Intel Smart Sound дебютировала в 2015 году с внедрением пятого поколения процессоров Intel Core iMaster. Из-за кумулятивно высокого риска использования выявленных уязвимостей производитель устройств рекомендует обновить драйверы Intel Smart Sound до версии 9.21.00.3541 или выше.

Дополнительные факторы защиты

После старта «чипокалипсиса» в начале 2018 г., когда общественность узнала о наличии критических процессорных уязвимостей, получивших названия Meltdown и Spectre, все чаще стала появляться информация о разнообразных брешах в безопасности микрочипов. Только за последний месяц было опубликовано несколько предупреждений, в которых описаны разноплановые угрозы с высокой степенью опасности.

«Сообщения об очередных обнаруженных уязвимостях в драйверах устройств или программном обеспечении уже никого не удивляют, – говорит системный инженер Fortinet Алексей Мальцев. – Информация о них становится доступной широкой общественности, в том числе злоумышленникам. Подтверждением этого является то, что специалисты лаборатории FortiGuard Labs, отслеживая усилия киберпреступников по разработке новых атак, отмечают рост не только количества образцов вредоносного кода, но и частоту, с которой данные уязвимости эксплуатируются. Несмотря на то, что в своих заявлениях компании подчёркивают то, что им пока не известны факты успешной эксплуатации таких уязвимостей, мы обращаем внимание на необходимость тщательного подхода к защите, рекомендуя не только своевременно обновлять операционные системы и программное обеспечение, но и использовать дополнительные инструменты для повышения общего уровня защищённости».

Комментарии